      program mirmax
c
c= mirmax -- Print Miriad's built in size limits
c& mhw
c+
c       Simple program to return maximum sizes used on your platform.
c
c$Id: mirmax.for,v 1.1 2013/07/20 03:40:29 pteuben Exp $
c--
c History:
c   mhw  23may13 Original version
c
c------------------------------------------------------------------------
c >>> ../../../src/inc/maxdim.h
c src/inc/cfg_maxdim.h.  Generated from maxdim.h.in by configure.
c TELESCOPE=carma
c=======================================================================
        CHARACTER*(*) MIRTEL
        PARAMETER(MIRTEL='carma')
        INTEGER   MAXBUF
        PARAMETER(MAXBUF=10000000)
c
        INTEGER   MAXDIM, MAXDIM2
        PARAMETER(MAXDIM=65536,MAXDIM2=8192)
c
        INTEGER   MAXANT,MAXANT2
        PARAMETER(MAXANT=64,MAXANT2=28)
c		maximum number of baselines
        INTEGER   MAXBASE
        PARAMETER(MAXBASE=1058)
        INTEGER   MAXBASE2
        PARAMETER(MAXBASE2=1058)
c
        INTEGER   MAXCHAN
        PARAMETER(MAXCHAN=8192)
c
        INTEGER   MAXWIN
        PARAMETER(MAXWIN=32)
c
        INTEGER   MAXWIDE
        PARAMETER(MAXWIDE=32)
c
        INTEGER   MAXFBIN
        PARAMETER(MAXFBIN=32)
c=======================================================================
c
c <<< ../../../src/inc/maxdim.h
c
      character version*80
      character versan*80, itoaf*10
      external versan, itoaf
c------------------------------------------------------------------------
      version = versan('mirmax',
     *                 '$Revision: 1.1 $',
     *                 '$Date: 2013/07/20 03:40:29 $')
c
      call output('Miriad''s compiled in limits from maxdim.h')
      call output(' Max Buffer size                 = '//itoaf(MAXBUF))
      call output(' Max Image dimemsion             = '//itoaf(MAXDIM))
      call output(' Max number of antennas          = '//itoaf(MAXANT))
      call output(' Max number of baselines         = '//itoaf(MAXBASE))
      call output(' Max number of channels          = '//itoaf(MAXCHAN))
      call output(' Max number of spectral windows  = '//itoaf(MAXWIN))
      call output(' Max number of wideband channels = '//itoaf(MAXWIDE))
      call output(' Max number of frequency bins    = '//itoaf(MAXFBIN))
      call output(' ')
      call output(' To increase these limits, edit maxdim.h and ')
      call output(' maxdimc.h and rebuild miriad from source.')
      call output(' Note that there are architecture specific versions')
      call output(' of the maxdim include files.')
       end
