
/* System dependent initialisation. */

#define FORTRAN_CVT_INT 0
#define FORTRAN_CVT_LOG 0
typedef int fort_integer;
typedef int fort_logical;
typedef long fort_ptrdiff;
typedef float fort_real;
typedef double fort_double;
char *zterm(char *string,int length);
void pad(char *string,int length);
int *iface_iarr(int n);
void iface_f2c_icvt(fort_integer *in,int *out,int n);
void iface_c2f_icvt(int *in,fort_integer *out,int n);
int *iface_larr(int n);
void iface_f2c_lcvt(fort_logical *in,int *out,int n);
void iface_c2f_lcvt(int *in,fort_logical *out,int n);
#if defined(HAVE_CONFIG_H) && HAVE_CONFIG_H
#include "config.h"
#endif

#include "miriad.h"
/************************************************************************/
void bugno_(severity,n,severity_len)
char *severity;
int severity_len;
fort_integer *n;
{
  bugno_c(*severity,*n);
}
/************************************************************************/
void bug_(severity,message,severity_len,message_len)
char *severity;
int severity_len;
char *message;
int message_len;
{
  bug_c(*severity,zterm(message,message_len));
}
/************************************************************************/
void buglabel_(name,name_len)
char *name;
int name_len;
{
  buglabel_c(zterm(name,name_len));
}
