
/* System dependent initialisation. */

#define FORTRAN_CVT_INT 0
#define FORTRAN_CVT_LOG 0
typedef int fort_integer;
typedef int fort_logical;
typedef long fort_ptrdiff;
typedef float fort_real;
typedef double fort_double;
char *zterm(char *string,int length);
void pad(char *string,int length);
int *iface_iarr(int n);
void iface_f2c_icvt(fort_integer *in,int *out,int n);
void iface_c2f_icvt(int *in,fort_integer *out,int n);
int *iface_larr(int n);
void iface_f2c_lcvt(fort_logical *in,int *out,int n);
void iface_c2f_lcvt(int *in,fort_logical *out,int n);
#if defined(HAVE_CONFIG_H) && HAVE_CONFIG_H
#include "config.h"
#endif

#include "sysdep.h"      /* provide prototype for *pack16*  */

void packi2_(in,out,n)
fort_integer *in;
fort_integer *out;
fort_integer *n;
{
  pack16_c(in,(char *)(out),*n);
}
void unpacki2_(in,out,n)
fort_integer *in;
fort_integer *out;
fort_integer *n;
{
  unpack16_c((char *)(in),out,*n);
}
